# Uses of Enum Class
org.bukkit.entity.Axolotl.Variant

Packages that use Axolotl.Variant
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.

## Uses of Axolotl.Variant in org.bukkit.entity

Methods in org.bukkit.entity that return Axolotl.Variant
Modifier and Type
Method
Description
`@NotNull Axolotl.Variant`
Axolotl.`getVariant()`
Get the variant of this axolotl.
`static Axolotl.Variant`
Axolotl.Variant.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Axolotl.Variant[]`
Axolotl.Variant.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type Axolotl.Variant
Modifier and Type
Method
Description
`void`
Axolotl.`setVariant(@NotNull Axolotl.Variant variant)`
Set the variant of this axolotl.

## Uses of Axolotl.Variant in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return Axolotl.Variant
Modifier and Type
Method
Description
`Axolotl.Variant`
AxolotlBucketMeta.`getVariant()`
Get the variant of the axolotl in the bucket.
Methods in org.bukkit.inventory.meta with parameters of type Axolotl.Variant
Modifier and Type
Method
Description
`void`
AxolotlBucketMeta.`setVariant(Axolotl.Variant variant)`
Set the variant of this axolotl in the bucket.